#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  libkdcraw-24.12.2

- Next

  libkcddb-24.12.2

- Up
- Home

# gwenview-24.12.2

## Introduction to Gwenview

Gwenview is a fast and easy-to-use image viewer for KDE.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/24.12.2/src/gwenview-24.12.2.tar.xz

- Download MD5 sum: 7ba7f5b5465c173a23deb28345519363

- Download size: 6.2 MB

- Estimated disk space required: 69 MB

- Estimated build time: 0.7 SBU (using parallelism=4)

### Gwenview Dependencies

#### Required

Exiv2-0.28.5, kimageannotator-0.7.1, KDE Frameworks-6.11.0, and Little CMS-2.17

#### Recommended

libkdcraw-24.12.2

#### Optional

plasma-activities-6.3.2 and CFitsio

## Installation of Gwenview

Install Gwenview by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Program: gwenview and gwenview_importer
Installed Libraries: libgwenviewlib.so and gvpart.so
Installed Directories: $KF6_PREFIX/share/{gwenview,doc/HTML/*/gwenview}

### Short Descriptions

gwenview | is the KDE image viewer
gwenview_importer | is a Photo importer

- Prev

  libkdcraw-24.12.2

- Next

  libkcddb-24.12.2

- Up
- Home